Bug 36037 - Mono crashes when working in Monodevelop
Summary: Mono crashes when working in Monodevelop
Status: RESOLVED NORESPONSE
Alias: None
Product: Runtime
Classification: Mono
Component: GC (show other bugs)
Version: 4.2.0 (C6)
Hardware: PC Linux
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-11-19 04:08 UTC by Sergey Zhukov
Modified: 2017-10-11 17:09 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
crash details (147.22 KB, text/x-log)
2015-11-19 04:08 UTC, Sergey Zhukov
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED NORESPONSE

Description Sergey Zhukov 2015-11-19 04:08:21 UTC
I don't have fully reproducible test case yet, but this crash in GC occured when I tried in Monodevelop 5.11 (was got from master branch) to open Monodevelop solution file and then click (Version Control/Show Log and do some scroll). I did not notice such error on previous version of mono (4.0)

OS: Ubuntu Linux 12.04 32 bit
Mono JIT compiler version 4.2.1 (Stable 4.2.1.102/6dd2d0d Thu Nov 12 09:53:18 UTC 2015)


*** glibc detected *** /usr/bin/mono: double free or corruption (fasttop): 0x8f858dd8 ***

/* see attachment for crash details */
Comment 1 Sergey Zhukov 2015-11-19 04:08:52 UTC
Created attachment 13881 [details]
crash details
Comment 2 Rodrigo Kumpera 2015-11-27 18:01:27 UTC
This is really strange, because the GC doesn't use malloc.

Could you install debug symbol for mono and attach a crash with symbol information?
The current one has no actionable information due to all symbols having being stripped.
Comment 3 Rodrigo Kumpera 2017-10-11 17:09:02 UTC
We have not received the requested information. If you are still experiencing this issue please provide all the requested information and reopen the bug report.

Thank you!